Bug 1257597 - smuxi: User information leak at first start
smuxi: User information leak at first start
Status: CLOSED NEXTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150304,reported=2...
: Security
Depends On: 1257598
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 08:24 EDT by Adam Mariš
Modified: 2015-10-21 11:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-14 18:20:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-27 08:24:08 EDT
At first start, smuxi autoconnects to public '#smuxi' channel with the user's full name without any warning or opportunity for user to change the settings.

Upstream patch (actually a short-term workaround):

https://github.com/meebey/smuxi/commit/f21cc42e087e93f621b1a368770f46e41d6cff2f
Comment 1 Fedora Update System 2015-08-28 06:24:29 EDT
smuxi-1.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14477
Comment 2 Fedora Update System 2015-08-28 06:27:56 EDT
smuxi-1.0-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14479
Comment 3 Fedora Update System 2015-08-28 14:53:03 EDT
smuxi-1.0-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update smuxi'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14479
Comment 4 Fedora Update System 2015-08-28 14:57:30 EDT
smuxi-1.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update smuxi'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14477
Comment 5 Fedora Update System 2015-09-14 18:20:41 EDT
smuxi-1.0-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-09-14 19:19:26 EDT
smuxi-1.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-09-18 15:00:40 EDT
smuxi-1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.